CREATE TABLE fnd_extm_extension_status (
    BUILD_ID                         NUMBER(18, 0) ,
    EXTENSION_ID                     NUMBER(18, 0) ,
    EXTENSION_TYPE                   VARCHAR2(256) ,
    EXTENSION_APP_PACKAGE_NAME       VARCHAR2(1600)    NOT NULL,
    EXTENSION_APP_PACKAGE_VERSION    VARCHAR2(256) ,
    EXTENSION_SOURCE_ID              VARCHAR2(4000),
    BASE_APP_PACKAGE_NAME            VARCHAR2(1600)    NOT NULL,
    BASE_APP_PACKAGE_VERSION         VARCHAR2(256) ,
    STATUS                           VARCHAR2(256)     NOT NULL,
    INPUT_INFO                       VARCHAR2(4000),
    INPUT_FILE                       BLOB          ,
    INPUT_ISSUES                     CLOB          ,
    EXTENSION_SOURCES                BLOB          ,
    APP_REPO_ID                      NUMBER(18, 0) ,
    APP_DEPLOYMENT_REQUEST_INFO      VARCHAR2(4000),
    APP_DEPLOYMENT_RESPONSE_INFO     CLOB          ,
    APP_PACKAGE_DEPLOY_VERSION       VARCHAR2(256) ,
    APP_BUILD_REQUEST_INFO           VARCHAR2(4000),
    APP_BUILD_RESPONSE_INFO          VARCHAR2(4000),
    ERROR_MESSAGE                    VARCHAR2(4000),
    PROCESSING_INFO                  VARCHAR2(4000),
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    EXTENSION_ID                     NUMBER(18, 0) ,
    EXTENSION_TYPE                   VARCHAR2(256) ,
    EXTENSION_APP_PACKAGE_NAME       VARCHAR2(1600)    NOT NULL,
    EXTENSION_APP_PACKAGE_VERSION    VARCHAR2(256) ,
    BASE_APP_PACKAGE_NAME            VARCHAR2(1600)    NOT NULL,
    BASE_APP_PACKAGE_VERSION         VARCHAR2(256) ,
    STATUS                           VARCHAR2(256)     NOT NULL,
    INPUT_INFO                       VARCHAR2(4000),
    INPUT_FILE                       BLOB          ,
    INPUT_ISSUES                     CLOB          ,
    EXTENSION_SOURCES                BLOB          ,
    APP_REPO_ID                      NUMBER(18, 0) ,
    APP_DEPLOYMENT_REQUEST_INFO      VARCHAR2(4000),
    APP_DEPLOYMENT_RESPONSE_INFO     CLOB          ,
    APP_PACKAGE_DEPLOY_VERSION       VARCHAR2(256) ,
    APP_BUILD_REQUEST_INFO           VARCHAR2(4000),
    APP_BUILD_RESPONSE_INFO          VARCHAR2(4000),
    ERROR_MESSAGE                    VARCHAR2(4000),
    PROCESSING_INFO                  VARCHAR2(4000),
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    BUILD_ID                         NUMBER(18, 0) ,
    EXTENSION_SOURCE_ID              VARCHAR2(4000),
    CONSTRAINT pk_fnd_extm_extension_status PRIMARY KEY (BUILD_ID, EXTENSION_ID, EXTENSION_ID, BUILD_ID)
);
